
<!-- <div id="filters-block">
    <h4>
        Filtrar colunas:
    </h4>
    <ul>
        <li *ngFor="let header of headerData">
            <input type="checkbox">
            <label>{{ header }}</label>
        </li>
    </ul>
</div>

<div id="navigation-block">
    <h4>
        Navegar para dados de:
    </h4>
    <select>
        <option value="{{ header }}" *ngFor="let header of headerData"> {{ header }}</option>
    </select>
</div>  -->

<div id="search-bar" class="row mx-1 my-3">
    <div class="col-lg-12">
        <form class="navbar-search form-inline mr-3 d-none d-md-flex ml-lg-auto">
            <div class="form-group mb-0">
                <div class="form-group">
                    <label for="numberTo">Campo para busca:</label>
                    <select class="" id="order" (change)="setFieldSearch($event)">
                      <option *ngFor="let option of fieldOptions" value="{{option.key}}">{{option.label}}</option>
                    </select>
                </div>
                <div class="input-group input-group-alternative">
                    <div class="input-group-prepend">
                        <span class="input-group-text">
                            <i class="fas fa-search"></i>
                        </span>
                    </div>
                    <input #search
                        class="form-control" placeholder="Pesquisar"
                        type="text" (focus)="focus = true" name="searchTerm"
                        (keyup.enter)="searchByText(search.value)"
                        (blur)="focus = false">
                    </div>
                    <button type="button" class="mx-3 btn btn-md btn-circle" (click)="searchByText(search.value)">
                        <i class="fas fa-search"></i>
                    </button>
            </div>
        </form>
    </div>
</div>

<!-- Tables -->
<div class="table-responsive">
    <table class="table align-items-center table-striped">
        <thead class="thead-light">
            <tr>
                <!-- this should show only in case there is a button to clicks -->
                <!-- <th scope="col"> </th> -->
                <th *ngIf="isLinkable" scope="col"> </th>
                <th scope="col" *ngFor="let header of headerData; let i = index">
                    {{ header.label }}  
                    <!-- {{ i }}   -->
                    <app-dropdown-popup-filter [type]="'range'" [header]="header.label" (msgEmit)="getSortedData($event)"></app-dropdown-popup-filter> 
                </th>
        </thead>
        <tbody>
            <tr *ngFor="let data of analyticData; let i=index">
                <td *ngIf="isLinkable" class="text-right" scope="row">
                    <div ngbDropdown placement="bottom-right">
                        <a *ngIf="!goSinproc" class="btn btn-sm btn-icon-only text-light" routerLinkActive="active" [routerLink]="createLink(data)" (click)="setStorage(data)">
                            <i class="fas fa-eye"></i>
                        </a>
                        <a *ngIf="goSinproc" class="btn btn-lg btn-icon-only text-light" [href]="createLink(data)" target="_blank">
                            <i style="color: red; font-size: xx-large;" class="fas fa-exclamation-triangle"></i>
                        </a>
                    </div>
                </td>
                <td *ngFor="let header of headerData">
                  <app-progress-table-cell [cellData]="data[header.label]" *ngIf="header.type == 'progress'"></app-progress-table-cell>
                  <div [innerHTML]="buildTableCell(data[header.label], header.type)"></div>
                </td>
             </tr>
        </tbody>
    </table>
</div>
<div class="card-footer py-4">
    <nav aria-label="...">
      <ul class="pagination justify-content-end mb-0">
        <li class="page-item">
          <a class="page-link" (click)="previous()" tabindex="-1">
            <i class="fas fa-angle-left"></i>
            <span class="sr-only" >Previous</span>
          </a>
        </li>
        <li class="page-item">
          <a class="page-link" (click)="next()" >
            <i class="fas fa-angle-right"></i>
            <span class="sr-only">Next</span>
          </a>
        </li>
      </ul>
      <div>
          Página {{ ipage }} de {{ npages}}
      </div>
    </nav>
  </div>
